# _*_ coding: iso-8859-1 _*_
#!/usr/bin/env python

from distutils.core import setup
import py2exe
import os, shutil, sys

from eole.manifest import manifest

os.environ['path']='%s;%s'%(os.environ['path'], os.path.join(os.path.abspath('.'), 'dlls'))

dist_dir = "dists\\servscribe"
if os.path.exists(dist_dir):
    shutil.rmtree(dist_dir)

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {"py2exe": {
                   "dist_dir": dist_dir,
                   "packages":["encodings",],
                   "optimize":1,
                   "includes": "win32serviceutil",
}}

setup(name="Client Scribe",
      options=opts,
      version="1.1",
      description="Client Scribe",
      author="Eole",
      author_email="eole@ac-dijon.fr",
      url="http://eole.orion.education.fr/diffusion",
      service = [{'modules': 'servscribe',
                  'other_resources': [(24, 1, manifest%{'prog': 'Servscribe'})],
                  'icon_resources': [(1, 'images\\eole.ico')]
                }],
      windows = [{'script': 'logon.py',
                  'other_resources': [(24, 1, manifest%{'prog': 'Logon'})],
                  'icon_resources': [(1, 'images\\eole.ico')]
                 },
                 {'script': 'utilisateur.py',
                  'other_resources': [(24, 1, manifest%{'prog': 'Utilisateur'})],
                  'icon_resources': [(1, 'images\\eole.ico')]
                }],
      data_files=[('', ['dlls\\gdiplus.dll', 'dlls\\MSVCP71.dll', 'dlls\\mfc71.dll']),
                  ]
      )


